Skip to main content

}

Mark notification as read

PUT https://checkout-eu-a.paysera.com/notification/rest/v1/notifications/{notification_id}/read

Mark a notification as processed to prevent repeated callbacks.

Critical: If you don't mark notifications as read, Paysera will continue to retry sending them with exponential backoff for up to 7 days.

Authorization​

This endpoint requires MAC (Message Authentication Code) authentication.

Authorization Header Format:

Authorization: MAC id="CLIENT_ID", ts="TIMESTAMP", nonce="RANDOM_STRING", mac="MAC_HASH", ext="body_hash=BODY_HASH"

Example:

Authorization: MAC id="a9b8c7d6e5f4g3h2", ts="1234567890", nonce="xyz123abc456def", mac="dGhpcyBpcyBhIHJhbmRvbSBtYWMgaGFzaCB2YWx1ZQ==", ext="body_hash=cmFuZG9tQm9keUhhc2hWYWx1ZQ%3D%3D"

For more details, see the Authentication section.

Parameters​

Path Parameters​

NameTypeRequiredDescription
notification_idstring✓The notification ID to mark as read

Example​

Request​

PUT https://checkout-eu-a.paysera.com/notification/rest/v1/notifications/xyz789notification/read
Authorization: MAC id="CLIENT_ID", ts="TIMESTAMP", nonce="RANDOM_STRING", mac="MAC_HASH"

Response​

{
"id": "xyz789notification",
"status": "read",
"event": "payment_request.captured",
"data": {
"payment_request": {
"id": "abc123payment",
"status": "captured",
"order_id": "SUB_12345",
"price_paid": {
"amount": 999,
"currency": "EUR"
}
},
"issued_token": "vLUGdTtnDjQs7Yv0fjYQyYfG60m"
},
"created_at": "2025-12-15T10:30:45Z"
}

AUTHORIZATION: HTTP

REQUEST

Base URL
https://checkout-eu-a.paysera.com

RESPONSE

Notification marked as read successfully
{
"id": "xyz789notification",
"status": "read",
"event": "payment_request.captured",
"data": {
"payment_request": {
"id": "abc123payment",
"status": "captured",
"order_id": "SUB_12345",
"price_paid": {
"amount": 999,
"currency": "EUR"
},
"token_strategy": "required",
"issued_token": "vLUGdTtnDjQs7Yv0fjYQyYfG60m"
}
},
"created_at": 1734258645
}